Package: org.apache.groovy.ginq.provider.collection.runtime

## [Java] Class RowBound

- org.apache.groovy.ginq.provider.collection.runtime.RowBound

-     public class RowBound
      extends AbstractBound

  Represents row bounds of window frame

  Since:
    4.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static RowBound` | `DEFAULT` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RowBound(Long lower, Long upper)` Construct a new RowBound instance with lower and upper frame bounds

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractBound` | `getLower, getUpper`

- - ### Field Detail

    - #### public static final RowBound DEFAULT

  - ### Constructor Detail

    - #### public RowBound(Long lower, Long upper)

      Construct a new RowBound instance with lower and upper frame bounds

      Parameters:
        `lower` - the lower frame bound
        `upper` - the upper frame bound
      Since:
        4.0.0